Creates a new task_files by supplying directly the field task_files.file_content as Byte Array

Request Information

URI Parameters :

None.

Body Parameters :

task_files
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier

Required

task_id

Task Id

globally unique identifier

Required

file_name

Name of the file

string

Required

Max length: 100

name

string

Max length: 100

description

Description of the file

string
tags

Tags of the file

string
mime_type

Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg

string

Max length: 100

file_type

Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF

string

Max length: 200

image_height

In case of picture, the original heigth

integer
image_width

In case of picture, the original width

integer
file_size

Size in bytes of the file_content

integer
sales_organization_id

In case of global files - you can specifiy if it's available for all organization or only one

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating db_file

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating db_file

sales_organization
file_content

The file content, in Byte Array. Use this field when using POST/PUT

Collection of byte
dateutc_added

Date UTC when file has been added

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
user_id

globally unique identifier

Required

show_on_web

boolean

Request Formats :

application/json, text/json

Sample:
{
  "id": "12dba5c7-78cd-4c62-ae8f-af5f896d430e",
  "task_id": "d2a04c81-d021-4dfa-80fb-8c7c8933d7d7",
  "file_name": "sample string 3",
  "name": "sample string 4",
  "description": "sample string 5",
  "tags": "sample string 6",
  "mime_type": "sample string 7",
  "file_type": "sample string 8",
  "image_height": 9,
  "image_width": 10,
  "file_size": 11,
  "sales_organization_id": "a669d36b-a5ab-4359-b16b-198427835598",
  "sales_organization_code": "sample string 13",
  "file_content": "QEA=",
  "dateutc_added": "2026-10-30T01:21:00.4187067+00:00",
  "modified_dateutc": "2026-10-30T01:21:00.4187067+00:00",
  "user_id": "2258950b-b595-4a52-89b6-de5b61f1fbf9",
  "show_on_web": true
}

Response Information

Resource Description :

task_files
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier

Required

task_id

Task Id

globally unique identifier

Required

file_name

Name of the file

string

Required

Max length: 100

name

string

Max length: 100

description

Description of the file

string
tags

Tags of the file

string
mime_type

Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg

string

Max length: 100

file_type

Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF

string

Max length: 200

image_height

In case of picture, the original heigth

integer
image_width

In case of picture, the original width

integer
file_size

Size in bytes of the file_content

integer
sales_organization_id

In case of global files - you can specifiy if it's available for all organization or only one

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating db_file

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating db_file

sales_organization
file_content

The file content, in Byte Array. Use this field when using POST/PUT

Collection of byte
dateutc_added

Date UTC when file has been added

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
user_id

globally unique identifier

Required

show_on_web

boolean

Response Formats

application/json, text/json

Sample:
{
  "id": "89b28e17-55cd-4695-af4b-817ba7a0aaa4",
  "task_id": "76af624c-a341-4b21-ab91-4589b4bee3e6",
  "file_name": "sample string 3",
  "name": "sample string 4",
  "description": "sample string 5",
  "tags": "sample string 6",
  "mime_type": "sample string 7",
  "file_type": "sample string 8",
  "image_height": 9,
  "image_width": 10,
  "file_size": 11,
  "sales_organization_id": "64c91025-d15d-439a-b8fc-79a7831ff396",
  "sales_organization_code": "sample string 13",
  "file_content": "QEA=",
  "dateutc_added": "2026-10-30T01:21:00.4187067+00:00",
  "modified_dateutc": "2026-10-30T01:21:00.4187067+00:00",
  "user_id": "31ee9cc4-b9a9-434a-bfe4-2fb1c50c5fcc",
  "show_on_web": true
}